#include "newstuffdialog.h"

#include <tdenewstuff/knewstuff.h>
#include <tdenewstuff/entry.h>
#include <tdelocale.h>
#include <tdeio/netaccess.h>
#include <kurl.h>
#include <kstandarddirs.h>

#include "kanagramsettings.h"

NewStuffDialog::NewStuffDialog() : TDENewStuff("kanagram", "https://www.trinitydesktop.org/ocs/providers.xml")
{
}

NewStuffDialog::~NewStuffDialog()
{
}

bool NewStuffDialog::install(const TQString &fileName)
{
  return false;
}

TQString NewStuffDialog::downloadDestination(KNS::Entry *entry)
{
	TQString fileName = entry->payload().path();
	fileName = fileName.section('/', -1);
	return TDEGlobal::dirs()->saveLocation("data", "kanagram/data/" + KanagramSettings::dataLanguage()) + fileName;
}

bool NewStuffDialog::createUploadFile(const TQString &fileName)
{
  return false;
}
